ret = False
print A.name
print B.name
print C.name
for k, v in match.items():
    if k.oclIsKindOf(coral.lang.UML14.Class):
        for i, j in match.items():
            if not (k == i) and k.__type__() == i.__type__():
                if v.name == j.name:
                    ret = True
